# org.pdfclown.objects.PdfString Class Reference

PDF string object [PDF:1.6:3.2.3]. More...

Inheritance diagram for org.pdfclown.objects.PdfString:

List of all members.

## Public Types
enum | SerializationModeEnum { Literal, Hex }
| String serialization mode. More...
## Public Member Functions
override PdfObject | Accept (IVisitor visitor, object data)
override int | CompareTo (PdfDirectObject obj)
| PdfString (string value, SerializationModeEnum serializationMode)
| PdfString (byte[] rawValue, SerializationModeEnum serializationMode)
| PdfString (string value)
| PdfString (byte[] rawValue)
byte[] | ToByteArray ()
| Gets the buffer data copied to a newly-allocated byte array.
override string | ToString ()
override void | WriteTo (IOutputStream stream, files.File context)
## Static Public Attributes
static readonly PdfString | Default = new PdfString("")
## Protected Member Functions
| PdfString ()
## Properties
virtual SerializationModeEnum | SerializationMode`[get, set]`
| Gets/Sets the serialization mode.
string | StringValue`[get]`
override object | Value`[get, set]`

##

PDF string object [PDF:1.6:3.2.3].

A string object consists of a series of bytes.

String objects can be serialized in two ways:

- as a sequence of literal characters (plain form)
- as a sequence of hexadecimal digits (hexadecimal form)

## Member Enumeration Documentation

enum org::pdfclown::objects::PdfString::SerializationModeEnum

String serialization mode.

Enumerator:

  Literal | Plain form.
  Hex | Hexadecimal form.

## Constructor & Destructor Documentation

org.pdfclown.objects.PdfString.PdfString | ( | byte[] | rawValue | ) |

org.pdfclown.objects.PdfString.PdfString | ( | string | value | ) |

org.pdfclown.objects.PdfString.PdfString | ( | byte[] | rawValue,
|  | SerializationModeEnum | serializationMode |
| ) |  |  |

org.pdfclown.objects.PdfString.PdfString | ( | string | value,
|  | SerializationModeEnum | serializationMode |
| ) |  |  |

org.pdfclown.objects.PdfString.PdfString | ( |  | ) | `[protected]`

## Member Function Documentation

override PdfObject org.pdfclown.objects.PdfString.Accept | ( | IVisitor | visitor,
|  | object | data |
| ) |  |  |

Reimplemented in org.pdfclown.objects.PdfDate, and org.pdfclown.objects.PdfTextString.

References org.pdfclown.objects.IVisitor.Visit().

override int org.pdfclown.objects.PdfString.CompareTo | ( | PdfDirectObject | obj | ) |

byte [] org.pdfclown.objects.PdfString.ToByteArray | ( |  | ) |

Gets the buffer data copied to a newly-allocated byte array.

Implements org.pdfclown.util.IDataWrapper.

override string org.pdfclown.objects.PdfString.ToString | ( |  | ) |

override void org.pdfclown.objects.PdfString.WriteTo | ( | IOutputStream | stream,
|  | files.File | context |
| ) |  |  |

References org.pdfclown.bytes.IOutputStream.Write().

## Member Data Documentation

readonly PdfString org.pdfclown.objects.PdfString.Default = new PdfString("")`[static]`

Reimplemented in org.pdfclown.objects.PdfTextString.

## Property Documentation

virtual SerializationModeEnum org.pdfclown.objects.PdfString.SerializationMode`[get, set]`

Gets/Sets the serialization mode.

Reimplemented in org.pdfclown.objects.PdfDate.

string org.pdfclown.objects.PdfString.StringValue`[get]`

override object org.pdfclown.objects.PdfString.Value`[get, set]`

Reimplemented in org.pdfclown.objects.PdfDate, and org.pdfclown.objects.PdfTextString.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.